<app-nav-bar></app-nav-bar>

<div class="background">

  <form #AddNewHost="ngForm">
  <div >
    <div class="form-group">
      <label for="firstName" class="label">First name</label>
      <input id="firstName" name="firstname" type="text" class="form-control" [(ngModel)]="user.FirstName" required>
    </div>
    <div class="form-group">
      <label for="lastName" class="label">Last name</label>
      <input id="lastName" name="lastname" type="text" class="form-control" [(ngModel)]="user.LastName"  required>
    </div>
    <div class="form-group">
      <label for="newUser" class="label">Username</label>
      <input id="newUser" name=username type="text" class="form-control" [(ngModel)]="user.Username"  required>
    </div>
    <div class="form-group">
      <label for="newpass" class="label">Password</label>
      <input id="newpass" type="password"  name= password class="form-control" data-type="password" [(ngModel)]="user.Password"  required>
    </div>
    <div class="form-group">
      <label class="label">Gender</label>
      <select name=polname class="form-control"  name="gender" [(ngModel)]="pol"  required>
        <option>Male</option>
        <option>Female</option>
      </select>
    </div>
  </div>

  <div class="group">
    <input type="submit" (click)="register()" class="form-control btn-dark" value="Add Host"  [disabled]="!AddNewHost.valid">
  </div>
  </form>
</div>
